Show / Hide Table of Contents

# Struct hkArray<T>

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.Havok

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct hkArray<T>

        where T : struct

##### Type Parameters

Name | Description
--- | ---
T |

### Fields

| Improve this Doc View Source

#### CapacityAndFlags

##### Declaration

    public int CapacityAndFlags

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Data

##### Declaration

    public T*Data

##### Field Value

Type | Description
--- | ---
T* |

| Improve this Doc View Source

#### Length

##### Declaration

    public int Length

##### Field Value

Type | Description
--- | ---
System.Int32 |

### Properties

| Improve this Doc View Source

#### Capacity

##### Declaration

    public readonly int Capacity { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Flags

##### Declaration

    public readonly int Flags { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Item[Int32]

##### Declaration

    public T this[int index] { get; set; }

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Property Value

Type | Description
--- | ---
T |

| Improve this Doc View Source

#### Item[UInt32]

##### Declaration

    public T this[uint index] { get; set; }

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | index |

##### Property Value

Type | Description
--- | ---
T |